Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PATCH 'https://api.spellit.ai/api/item-set/upload?item_set_id=123' \
-H 'API-Access-Key: your-api-key' \
-F 'files=@audio1.mp3'import requests
url = 'https://api.spellit.ai/api/item-set/upload?item_set_id=123'
headers = {'API-Access-Key': 'your-api-key'}
files = [('files', open('audio1.mp3', 'rb'))]
response = requests.patch(url, headers=headers, files=files)
print(response.json())const formData = new FormData();
formData.append('files', new Blob(['audio1.mp3']));
fetch('https://api.spellit.ai/api/item-set/upload?item_set_id=123', {
method: 'PATCH',
headers: {
'API-Access-Key': 'your-api-key'
},
body: formData
})
.then(response => response.json())
.then(data => console.log(data));
[
[
{
"id_item_type": 1,
"created_at": "2025-05-27T10:12:42.535350+00:00",
"id_base_user": 1,
"id_item_set": 272,
"status": "added",
"id": 274,
"name": "filename_091c9f.mp3",
"item_link": "filelink",
"last_processing_date": null
},
{
"id_item": 274,
"id_processor": 1,
"created_at": "2025-05-27T10:12:46.436176+00:00",
"is_default": false,
"id": 440,
"processing_parameters": {
"file_duration": 553.392
}
}
]
]{
"detail": "id_project is required"
}{
"detail": "Invalid auth"
}{
"detail": "Invalid input data"
}Добавляет файлы в указанный набор элементов (Item Set).
curl -X PATCH 'https://api.spellit.ai/api/item-set/upload?item_set_id=123' \
-H 'API-Access-Key: your-api-key' \
-F 'files=@audio1.mp3'import requests
url = 'https://api.spellit.ai/api/item-set/upload?item_set_id=123'
headers = {'API-Access-Key': 'your-api-key'}
files = [('files', open('audio1.mp3', 'rb'))]
response = requests.patch(url, headers=headers, files=files)
print(response.json())const formData = new FormData();
formData.append('files', new Blob(['audio1.mp3']));
fetch('https://api.spellit.ai/api/item-set/upload?item_set_id=123', {
method: 'PATCH',
headers: {
'API-Access-Key': 'your-api-key'
},
body: formData
})
.then(response => response.json())
.then(data => console.log(data));
[
[
{
"id_item_type": 1,
"created_at": "2025-05-27T10:12:42.535350+00:00",
"id_base_user": 1,
"id_item_set": 272,
"status": "added",
"id": 274,
"name": "filename_091c9f.mp3",
"item_link": "filelink",
"last_processing_date": null
},
{
"id_item": 274,
"id_processor": 1,
"created_at": "2025-05-27T10:12:46.436176+00:00",
"is_default": false,
"id": 440,
"processing_parameters": {
"file_duration": 553.392
}
}
]
]{
"detail": "id_project is required"
}{
"detail": "Invalid auth"
}{
"detail": "Invalid input data"
}item_set_id из предыдущего шага.API-ключ для доступа к эндпоинтам
Уникальный идентификатор набора элементов (item_set_id), полученный на предыдущем шаге
Структура запроса для загрузки файлов (Item'ов) в указанный item_set.
Массив файлов или объектов, представляющих собой элементы обработки.
Успешная загрузка Items